import 'source-map-support/register';
import { Context, Schema } from 'koishi';
import { MyPlugin } from './plugin';
import { MyPluginConfig, MyPluginConfigLike } from './config';
import { schemaFromClass } from 'koishi-utils-schemagen';
export * from './config';
export * from './plugin';

declare module 'koishi' {
  interface Modules {
    'myplugin': typeof import('.')
  }
}

export const name = 'myplugin';
export const schema: Schema<MyPluginConfigLike> = schemaFromClass(MyPluginConfig);
export function apply(ctx: Context, config: MyPluginConfigLike) {
  ctx.plugin(MyPlugin, config);
}
